/**
 * Test case for define.
 * Runs with mocha.
 */
'use strict'

const define = require('../lib/define.js')
const assert = require('assert')
const co = require('co')
const ApThemeStyle = require('apeman-react-theme')[ 'ApThemeStyle' ]

describe('define', () => {
  function noop () {
  }

  it('Define', () => co(function * () {
    let dest = `${__dirname}/../tmp/testing-style.css`
    let task = define(ApThemeStyle, dest, {})
    assert.ok(task)
    let context = {
      verbose: false,
      logger: {
        info: noop,
        debug: noop,
        trace: noop
      }
    }
    yield task(context)
  }))

  it('Define with invalid src', () => co(function * () {
    let dest = `${__dirname}/../tmp/testing-style.css`
    let task = define('--invalid-src---', dest, {})
    assert.ok(task)
    let context = {
      verbose: false,
      logger: {
        info: noop,
        debug: noop,
        warn: console.log,
        trace: noop
      }
    }
    yield task(context)
  }))
})

/* global describe, before, after, it */
